<?php

//  RChart for PHP
//  Copyright (C) Java4Less.com
//  All rights reserved 
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - Redistribution of this (or a modified version) source code is prohibited.
//  - You may not remove this notice from the source code.
//  - This notice disclaim all warranties of all material.
//  - You may not copy and paste any code $o external files.
//  - Use of this software on more than one server
//    requires the appropriate license.

require("chartLoader.inc");
require("Chart.inc");

// helper function to detect if a parameter is set

function pset( $p ) { 
   return array_key_exists( $p, $_REQUEST );
}

//get chart size and type
$cwidth=500;
$cheight=500;
$ctype="png";

if ( pset("WIDTH")) $cwidth=$_REQUEST["WIDTH"];
if ( pset("HEIGHT")) $cheight=$_REQUEST["HEIGHT"];
if ( pset("TYPE"))  $ctype=$_REQUEST["TYPE"];


// create image
$g = new ChartGraphics;
$g->create($cwidth,$cheight);

// define loader variable 
$chartLoader= new ChartLoader(); 

// get data file
if ( pset("DATAFILE"))  $chartLoader->setDataFile($_REQUEST["DATAFILE"]);

// get other parameters
$keys = array_keys( $_REQUEST);
for ($i=0;$i<sizeof($keys);$i++) {
	$chartLoader->setParameter($keys[$i],$_REQUEST[$keys[$i]]);
}

// create chart 
$chart=& $chartLoader->build(true,true);
$chart->setSize($cwidth,$cheight);

$mapName="rchart";
$output="image"; // image, imagemap

// output imagemap?
if ( pset("MAPNAME"))  $mapName=$_REQUEST["MAPNAME"];
if ( pset("OUTPUT"))  $output=$_REQUEST["OUTPUT"];

// output image
if (($output=="image") || ($output=="IMAGE")) {
	$chart->paint($g);
	$g->setType($ctype);
	$file="";
	$g->outputImage($file );
}

// output image map
if (($output=="imagemap") || ($output=="IMAGEMAP")) {
	//$imageurl="getChart.php";
	//$s="<img src=\"".$imageurl."\" BORDER=0 ISMAP USEMAP=\"#".$mapName."\">";
	$chart->paint($g);
	echo $chartLoader->getHTMLImageMap($mapName);
}


?>