<?php

//  RChart for PHP
//  Copyright (C) Java4Less.com
//  All rights reserved 
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - Redistribution of this (or a modified version) source code is prohibited.
//  - You may not remove this notice from the source code.
//  - This notice disclaim all warranties of all material.
//  - You may not copy and paste any code $o external files.
//  - Use of this software on more than one server
//    requires the appropriate license.

require("config.inc");
ini_set("include_path", ".");
chdir(RCHARTINCLUDEPATH);


require("chartLoader.inc");
require("Chart.inc");

session_start(); 
header("Cache-control: private"); //IE 6 Fix 


//get chart size and type
$ctype="png";

$loader=$_SESSION['chartloader']; 
if (!isset($loader)) {
	$loader=new ChartLoader();
}



header("Pragma: no-cache");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-store, no-cache,max-age=0, must-revalidate"); 

$cwidth=$loader->getParameter("WIDTH","450");
$cheight=$loader->getParameter("HEIGHT","400");

// create chart 
$chart=& $loader->build(false,false);
$chart->setSize($cwidth,$cheight);


// create image
$g = new ChartGraphics;
$g->create($cwidth,$cheight);


// output image
$chart->paint($g);
$g->setType($ctype);
$g->outputImage(  $filename );


?>