<?php

//  RChart Visual Builder for PHP
//  Copyright (C) Java4Less.com
//  All rights reserved 
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - Redistribution of this (or a modified version) source code is prohibited.
//  - You may not remove this notice from the source code.
//  - This notice disclaim all warranties of all material.
//  - You may not copy and paste any code $o external files.
//  - Use of this software on more than one server
//    requires the appropriate license.

require("config.inc");
Require("ParamInfo.inc");

ini_set("include_path", ".");
chdir(RCHARTINCLUDEPATH);


require("Chart.inc");
require("chartLoader.inc");


session_start(); 
header("Cache-control: private"); //IE 6 Fix 

$loader=$_SESSION['chartloader']; 

if (!isset($loader)) {
	$loader=new ChartLoader();
	$_SESSION['chartloader']=& $loader;
}

$textMode=$_REQUEST["DOWNLOAD"];
if (!isset($textMode)) $textMode="0";

if (! ($textMode=="1")) {

	echo("<html>");
	echo("<body>");
	echo("<a href=\"showParams.php?DOWNLOAD=1\">Click on the right button of the mouse and select <b>Save as</b> for saving the parameters.</a>");
	echo("<pre>");
}

$hasOutput=false;
for ($i=0;$i<$loader->loadedParametersCount;$i++)   {
   if ($loader->loadedParameters[$i]!="PHPSESSID")	
   		if ($loader->loadedValues[$i]!="") 
		if (($loader->loadedParameters[$i]!="NODE") && ($loader->loadedParameters[$i]!="SAVE")) {
   			echo($loader->loadedParameters[$i]."=".$loader->loadedValues[$i].chr(13).chr(10));
			$hasOutput=true;
		}
}

if (! $hasOutput) echo("Chart is empty, no parameters available");

if (! ($textMode=="1")) {

	echo("</pre>");
	echo("</body>");
	echo("</html>");

}
?>