<?php

$sFilePrefix="examples/";

require("chartLoader.inc");
require("Chart.inc");

$g = new ChartGraphics;
$g->create(600,400);

// define variable 
$loader= new ChartLoader(); 


$loader->loadFromFile($sFilePrefix."realtime.txt",false);

// create chart


// set initial valu of the X Axis based on the time
$now=time();
$loader->setParameter("XAXIS_INITIAL_DATE",strftime("%m/%d/%Y %H:%M:%S",$now));


// create random data based on the time
$data1="";
$data2="";
for ($i=0;$i<9;$i++) {		
    	$now=$now-2;
	if (strlen($data1)>0) $data1="|".$data1;
	$data1="".strftime("%S",$now).$data1;
	if (strlen($data2)>0) $data2="|".$data2;
	$data2="".floor(strftime("%S",$now)/6).$data2;		
}




$loader->setParameter("SERIE_DATA_1",$data1);
$loader->setParameter("SERIE_DATA_2",$data2);


header("Pragma: no-cache");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-store, no-cache,max-age=0, must-revalidate"); 

// create chart 
$chart=& $loader->buildChart();
$chart->setSize(600,400);
$chart->paint($g);
$g->setType("png");
$g->outputImage(  &$filename );

?>
