<?php
//  RChart Visual Builder for PHP
//  Copyright (C) Java4Less.com
//  All rights reserved 
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - Redistribution of this (or a modified version) source code is prohibited.
//  - You may not remove this notice from the source code.
//  - This notice disclaim all warranties of all material.
//  - You may not copy and paste any code $o external files.
//  - Use of this software on more than one server
//    requires the appropriate license.

  // params classification
  define("PARAM_CHART","CHART");
  define("PARAM_XAXIS","XAXIS");
  define("PARAM_YAXIS","YAXIS");
  define("PARAM_Y2AXIS","Y2AXIS");
  define("PARAM_PIECHART","PIECHART");
  define("PARAM_RADARCHART","RADARCHART");
  define("PARAM_LINECHART","LINECHART");
  define("PARAM_BARCHART","BARCHART");
  define("PARAM_LINECHART3D","LINECHART3D");
  define("PARAM_BARCHART3D","BARCHART3D");
  define("PARAM_SERIE","SERIE");

  // type
  define("PARAM_STRING","STRING");
  define("PARAM_INT","INTEGER");
  define("PARAM_DOUBLE","DOUBLE");
  define("PARAM_STRING_LIST","STRING_LIST");
  define("PARAM_FONT","FONT");
  define("PARAM_COLOR","COLOR");
  define("PARAM_LINE","LINE");
  define("PARAM_FILL","FILL");
  define("PARAM_COLOR_LIST","COLOR_LIST");
  define("PARAM_DOUBLE_LIST","DOUBLE_LIST");
  define("PARAM_BOOLEAN_LIST","BOOLEAN_LIST");
  define("PARAM_BOOLEAN","BOOLEAN");
  define("PARAM_CHARTLABEL","CHARTLABEL");
  define("PARAM_TARGETZONE","TARGETZONE");
  define("PARAM_AXISTARGETZONE","AXISTARGETZONE");


class ParamInfo {

  // parameter's info
  var $classification;
  var $isSeparator;
  var $isOnScreen;
  var $isRepeteable;
  var $value;
  var $type;
  var $longDescription;
  var $shortDescription;
  var $name;
  var $serieParam;
  var $screenObject;
  var $defaultValue;
  var $comboValues;

  function ParamInfo() {
  	// parameter's info
  	$this->classification=PARAM_CHART;
  	$this->isSeparator=false;
  	$this->isOnScreen=false;
  	$this->isRepeteable=0;
  	$this->value="";
  	$this->type="";
  	$this->longDescription="";
  	$this->shortDescription="";
  	$this->name="";
  	$this->serieParam=false;
  	$this->screenObject=null;
  	$this->defaultValue="";
  	$this->comboValues=null;  
  }

}




?>