<?php

//  RChart for PHP
//  Copyright (C) Java4Less.com
//  All rights reserved 
//
// Adquisition , use and distribution of this code is subject to restriction:
//  - You may modify the source code in order to adapt it to your needs.
//  - Redistribution of this (or a modified version) source code is prohibited.
//  - You may not remove this notice from the source code.
//  - This notice disclaim all warranties of all material.
//  - You may not copy and paste any code $o external files.
//  - Use of this software on more than one server
//    requires the appropriate license.

require("config.inc");
ini_set("include_path", ".");
chdir(RCHARTINCLUDEPATH);

require("chartLoader.inc");
require("Chart.inc");


session_start(); 
header("Cache-control: private"); //IE 6 Fix 

echo "<html>";
echo "<body>";

echo "<img src=\"buildChart.php\" BORDER=0 ISMAP USEMAP=\"#RCHART\">";


$loader=$_SESSION['chartloader']; 
if (!isset($loader)) {
	$loader=new ChartLoader();
	// load first example
	$loader->loadFromFile(EXAMPLESDIR."curves.txt",false);
	$_SESSION['chartloader']=& $loader;	
}

$cwidth=$loader->getParameter("WIDTH","450");
$cheight=$loader->getParameter("HEIGHT","400");

// create chart 
$chart=& $loader->build(false,false);
$chart->setSize($cwidth,$cheight);

// create image
$g = new ChartGraphics;
$g->create($cwidth,$cheight);

$chart->paint($g);
echo $loader->getHTMLImageMap("RCHART");


echo "</body>";
echo "</html>";

?>